2015-04-03 Geoffrey Garen <ggaren@apple.com>
authorggaren@apple.com <ggaren@apple.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Fri, 3 Apr 2015 20:16:53 +0000 (20:16 +0000)
committerggaren@apple.com <ggaren@apple.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Fri, 3 Apr 2015 20:16:53 +0000 (20:16 +0000)
        JavaScriptCore API should support type checking for Array and Date
        https://bugs.webkit.org/show_bug.cgi?id=143324

        Follow-up to address a comment by Dan.

        * API/WebKitAvailability.h: __MAC_OS_X_VERSION_MIN_REQUIRED <= 101100
        is wrong, since this API is available when __MAC_OS_X_VERSION_MIN_REQUIRED
        is equal to 101100.

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@182328 268f45cc-cd09-0410-ab3c-d52691b4dbfc

Source/JavaScriptCore/API/WebKitAvailability.h
Source/JavaScriptCore/ChangeLog

index 45e584c1a41aa92bde9fdca06f69f7a4e297871d..250d4108e930d5dd4c01a9e8e39a9f675ad4ed9e 100644 (file)
@@ -31,7 +31,7 @@
 #include <AvailabilityMacros.h>
 #include <CoreFoundation/CoreFoundation.h>
 
 #include <AvailabilityMacros.h>
 #include <CoreFoundation/CoreFoundation.h>
 
-#if !TARGET_OS_IPHONE && __MAC_OS_X_VERSION_MIN_REQUIRED <= 101100
+#if !TARGET_OS_IPHONE && __MAC_OS_X_VERSION_MIN_REQUIRED < 101100
 /* To support availability macros that mention newer OS X versions when building on older OS X versions,
    we provide our own definitions of the underlying macros that the availability macros expand to. We're
    free to expand the macros as no-ops since frameworks built on older OS X versions only ship bundled with
 /* To support availability macros that mention newer OS X versions when building on older OS X versions,
    we provide our own definitions of the underlying macros that the availability macros expand to. We're
    free to expand the macros as no-ops since frameworks built on older OS X versions only ship bundled with
index e4b70115a59efac69517fdfb2e5ea36ab63c1c96..f1efe322bead3ad7703155ee10b2ee8bca92d725 100644 (file)
@@ -1,3 +1,14 @@
+2015-04-03  Geoffrey Garen  <ggaren@apple.com>
+
+        JavaScriptCore API should support type checking for Array and Date
+        https://bugs.webkit.org/show_bug.cgi?id=143324
+
+        Follow-up to address a comment by Dan.
+
+        * API/WebKitAvailability.h: __MAC_OS_X_VERSION_MIN_REQUIRED <= 101100
+        is wrong, since this API is available when __MAC_OS_X_VERSION_MIN_REQUIRED
+        is equal to 101100.
+
 2015-04-03  Geoffrey Garen  <ggaren@apple.com>
 
         JavaScriptCore API should support type checking for Array and Date
 2015-04-03  Geoffrey Garen  <ggaren@apple.com>
 
         JavaScriptCore API should support type checking for Array and Date